import React from 'react';

const DeveloperLocationDetailsStep = ({
  projectCity,            // Changed from city
  setProjectCity,         // Changed from setCity
  projectLocality,        // Changed from locality
  setProjectLocality,     // Changed from setLocality
  projectSubLocality,     // Changed from subLocality
  setProjectSubLocality,  // Changed from setSubLocality
  projectAddress,         // Changed from detailedAddress
  setProjectAddress      // Changed from setDetailedAddress
}) => {
  return (
    <div className="space-y-6 w-full p-4">
      <div className="text-center mb-6">
        <h2 className="text-2xl font-bold text-gray-800 mb-2">Where is your Project Located?</h2>
        <p className="text-sm text-gray-600">
          Providing an accurate location helps you connect with the right buyers.
        </p>
      </div>

      <div className="grid grid-cols-1 md:grid-cols-2 gap-6">
        {/* Project City Input */}
        <div>
          <label
            htmlFor="projectCity"
            className="block text-sm font-medium text-gray-700 mb-2"
          >
            Project City <span className="text-red-500">*</span>
          </label>
          <input
            id="projectCity"
            type="text"
            value={projectCity}
            onChange={(e) => setProjectCity(e.target.value)}
            placeholder="Enter Project City"
            className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none"
            required
          />
        </div>

        {/* Project Locality Input */}
        <div>
          <label
            htmlFor="projectLocality"
            className="block text-sm font-medium text-gray-700 mb-2"
          >
            Project Locality <span className="text-red-500">*</span>
          </label>
          <input
            id="projectLocality"
            type="text"
            value={projectLocality}
            onChange={(e) => setProjectLocality(e.target.value)}
            placeholder="Enter Project Locality"
            className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none"
            required
          />
        </div>

        {/* Project Sub Locality (Optional) */}
        <div>
          <label
            htmlFor="projectSubLocality"
            className="block text-sm font-medium text-gray-700 mb-2"
          >
            Project Sub Locality <span className="text-gray-500">(Optional)</span>
          </label>
          <input
            id="projectSubLocality"
            type="text"
            value={projectSubLocality}
            onChange={(e) => setProjectSubLocality(e.target.value)}
            placeholder="Enter Project Sub Locality"
            className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none"
          />
        </div>
      </div>

      {/* Project Address */}
      <div className="mt-6">
        <label
          htmlFor="projectAddress"
          className="block text-sm font-medium text-gray-700 mb-2"
        >
          Project Address <span className="text-red-500">*</span>
        </label>
        <textarea
          id="projectAddress"
          value={projectAddress}
          onChange={(e) => setProjectAddress(e.target.value)}
          placeholder="Enter Complete Project Address"
          rows={4}
          className="w-full rounded-lg border border-gray-300 bg-transparent px-3 py-2 text-sm focus:border-purple-600 focus:outline-none"
          required
        />
      </div>
    </div>
  );
};

export default DeveloperLocationDetailsStep;